# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "iced_sessionlock"
version = "0.2.6"
authors = [
    "Decodertalkers <aakari@tutanota.com>",
    "Aakash Sen Sharma <aakashsensharma@gmail.com>",
]
build = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "sessionlock binding for iced"
readme = "README.md"
keywords = [
    "wayland",
    "wlroots",
]
license = "MIT"
repository = "https://github.com/waycrate/exwlshelleventloop"

[lib]
name = "iced_sessionlock"
path = "src/lib.rs"

[dependencies.futures]
version = "0.3.30"

[dependencies.iced]
version = "0.12"

[dependencies.iced_core]
version = "0.12"

[dependencies.iced_futures]
version = "0.12.0"

[dependencies.iced_graphics]
version = "0.12.0"

[dependencies.iced_renderer]
version = "0.12.0"

[dependencies.iced_runtime]
version = "0.12"
features = ["multi-window"]

[dependencies.iced_style]
version = "0.12"

[dependencies.sessionlockev]
version = "0.2.4"

[dependencies.thiserror]
version = "1.0.56"

[dependencies.tracing]
version = "0.1.40"
